## mesa 25.2.8-1~24.04

=== debian/changelog ===
mesa (25.2.8-1~24.04-tux1) noble; urgency=medium

  * New upstream release.
  * Changelog https://docs.mesa3d.org/relnotes/25.2.8.html

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Fri, 19 Dec 2025 08:39:14 +0100

mesa (25.2.7-1~24.04-tux1) noble; urgency=medium

  * New upstream release.
  * Changelog https://docs.mesa3d.org/relnotes/25.2.7.html

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Tue, 25 Nov 2025 13:04:01 +0100

mesa (25.2.6-1~24.04-tux1) noble; urgency=medium

  * New upstream release.
  * Changelog https://docs.mesa3d.org/relnotes/25.2.6.html

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Thu, 30 Oct 2025 17:40:34 +0100
