=== debian/changelog ===
mesa (25.3.0~git20251015-1) experimental; urgency=medium

  * snapshot

 -- Torsten Wohlfarth <towo@siduction.org>  Wed, 15 Oct 2025 17:24:09 +0200

mesa (25.3.0~git20251010-1) experimental; urgency=medium

  * snapshot

 -- Torsten Wohlfarth <towo@siduction.org>  Fri, 10 Oct 2025 15:55:52 +0200

mesa (25.3.0~git20251009-1) experimental; urgency=medium

  * snapshot

 -- Torsten Wohlfarth <towo@siduction.org>  Thu, 09 Oct 2025 23:28:58 +0200

mesa (25.3.0~git20250930-1) experimental; urgency=medium

  * snapshot

 -- Torsten Wohlfarth <towo@siduction.org>  Tue, 30 Sep 2025 16:40:21 +0200

mesa (25.3.0~git20250927-1) experimental; urgency=medium

  * snapshot

 -- Torsten Wohlfarth <towo@siduction.org>  Sat, 27 Sep 2025 16:22:44 +0200

mesa (25.3.0~git20250904-2) experimental; urgency=medium

  * fix debian/rules (submodules)

 -- Torsten Wohlfarth <towo@siduction.org>  Fri, 05 Sep 2025 11:05:18 +0200

mesa (25.3.0~git20250904-1) experimental; urgency=medium

  * snapshot

 -- Torsten Wohlfarth <towo@siduction.org>  Thu, 04 Sep 2025 20:55:47 +0200

mesa (25.3.0~git20250824-1) experimental; urgency=medium

  * snapshot

 -- Torsten Wohlfarth <towo@siduction.org>  Sun, 24 Aug 2025 17:46:55 +0200

mesa (25.3.0~git20250812-3) experimental; urgency=medium

  * remove legacy-x11

 -- Torsten Wohlfarth <towo@siduction.org>  Tue, 12 Aug 2025 10:04:42 +0200

mesa (25.3.0~git20250812-2) experimental; urgency=medium

  * remove intel-clc

 -- Torsten Wohlfarth <towo@siduction.org>  Tue, 12 Aug 2025 09:31:42 +0200

mesa (25.3.0~git20250812-1) experimental; urgency=medium

  * snapshot

 -- Torsten Wohlfarth <towo@siduction.org>  Tue, 12 Aug 2025 00:23:45 +0200

mesa (25.3.0~git20250802-1) experimental; urgency=medium

  * snapshot

 -- Torsten Wohlfarth <towo@siduction.org>  Sat, 02 Aug 2025 21:29:09 +0200

mesa (25.3.0~git20250725-1) experimental; urgency=medium

  * snapshot

 -- Torsten Wohlfarth <towo@siduction.org>  Fri, 25 Jul 2025 18:06:21 +0200

mesa (25.2.0~git20250713-1) experimental; urgency=medium

  * snapshot

 -- Torsten Wohlfarth <towo@siduction.org>  Sun, 13 Jul 2025 15:36:29 +0200

mesa (25.2.0~git20250701-3) experimental; urgency=medium

  * test

 -- Torsten Wohlfarth <towo@siduction.org>  Wed, 02 Jul 2025 11:53:31 +0200

mesa (25.2.0~git20250701-2) experimental; urgency=medium

  * hopefully fix debian/rules

 -- Torsten Wohlfarth <towo@siduction.org>  Wed, 02 Jul 2025 08:09:18 +0200

mesa (25.2.0~git20250701-1) experimental; urgency=medium

  * snapshot

 -- Torsten Wohlfarth <towo@siduction.org>  Tue, 01 Jul 2025 23:12:16 +0200

mesa (25.2.0~git20250618-1) experimental; urgency=medium

  * snapshot

 -- Torsten Wohlfarth <towo@siduction.org>  Wed, 18 Jun 2025 22:06:51 +0200

mesa (25.2.0~git20250612-1) experimental; urgency=medium

  * snapshot

 -- Torsten Wohlfarth <towo@siduction.org>  Thu, 12 Jun 2025 16:01:05 +0200

mesa (25.2.0~git20250530-1) experimental; urgency=medium

  * snapshot

 -- Torsten Wohlfarth <towo@siduction.org>  Fri, 30 May 2025 18:47:51 +0200

mesa (25.2.0~git20250524-1) experimental; urgency=medium

  * snapshot

 -- Torsten Wohlfarth <towo@siduction.org>  Sat, 24 May 2025 16:55:58 +0200

mesa (25.2.0~git20250517-1) experimental; urgency=medium

  * snapshot
  * disable nvk

 -- Torsten Wohlfarth <towo@siduction.org>  Sat, 17 May 2025 16:28:20 +0200

mesa (25.2.0~git20250516-3) experimental; urgency=medium

  * fix debian/rules

 -- Torsten Wohlfarth <towo@siduction.org>  Fri, 16 May 2025 23:09:48 +0200

mesa (25.2.0~git20250516-2) experimental; urgency=medium

  * fix deps

 -- Torsten Wohlfarth <towo@siduction.org>  Fri, 16 May 2025 22:13:17 +0200

mesa (25.2.0~git20250516-1) experimental; urgency=medium

  * snapshot

 -- Torsten Wohlfarth <towo@siduction.org>  Fri, 16 May 2025 21:03:32 +0200

mesa (25.2.0~git20250509-1) experimental; urgency=medium

  * snapshot

 -- Torsten Wohlfarth <towo@siduction.org>  Fri, 09 May 2025 21:06:42 +0200

mesa (25.2.0~git20250503-1) experimental; urgency=medium

  * snapshot

 -- Torsten Wohlfarth <towo@siduction.org>  Sat, 03 May 2025 14:54:44 +0200

mesa (25.2.0~git20250428-1) experimental; urgency=medium

  * snapshot

 -- Torsten Wohlfarth <towo@siduction.org>  Mon, 28 Apr 2025 18:49:59 +0200

mesa (25.2.0~git20250418-5) experimental; urgency=medium

  * fix

 -- Torsten Wohlfarth <towo@siduction.org>  Sat, 19 Apr 2025 11:40:34 +0200

mesa (25.2.0~git20250418-4) experimental; urgency=medium

  * fix

 -- Torsten Wohlfarth <towo@siduction.org>  Sat, 19 Apr 2025 01:10:25 +0200

mesa (25.2.0~git20250418-3) experimental; urgency=medium

  * fix install

 -- Torsten Wohlfarth <towo@siduction.org>  Fri, 18 Apr 2025 22:10:45 +0200

mesa (25.2.0~git20250418-2) experimental; urgency=medium

  * fix confflags

 -- Torsten Wohlfarth <towo@siduction.org>  Fri, 18 Apr 2025 21:50:06 +0200

mesa (25.2.0~git20250418-1) experimental; urgency=medium

  * snapshot

 -- Torsten Wohlfarth <towo@siduction.org>  Fri, 18 Apr 2025 21:34:25 +0200

mesa (25.1.0~git20250402-1) experimental; urgency=medium

  * snapshot

 -- Torsten Wohlfarth <towo@siduction.org>  Fri, 04 Apr 2025 20:22:58 +0200

mesa (25.1.0~git20250322-1) experimental; urgency=medium

  * snapshot

 -- Torsten Wohlfarth <towo@siduction.org>  Sat, 22 Mar 2025 15:36:50 +0100

mesa (25.1.0~git20250313-1) experimental; urgency=medium

  * snapshot

 -- Torsten Wohlfarth <towo@siduction.org>  Thu, 13 Mar 2025 20:51:53 +0100

mesa (25.1.0~git20250227-1) experimental; urgency=medium

  * snapshot

 -- Torsten Wohlfarth <towo@siduction.org>  Thu, 27 Feb 2025 17:47:48 +0100

mesa (25.1.0~git20250221-2) experimental; urgency=medium

  * test

 -- Torsten Wohlfarth <towo@siduction.org>  Fri, 21 Feb 2025 18:54:54 +0100

mesa (25.1.0~git20250221-1) experimental; urgency=medium

  * snapshot

 -- Torsten Wohlfarth <towo@siduction.org>  Fri, 21 Feb 2025 15:59:39 +0100

mesa (25.1.0~git20250213-1) experimental; urgency=medium

  * snapshot


