## mesa 25.3.0~rc1

=== debian/changelog ===
mesa (25.3.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate.
  * watch: Update to version 5.
  * patches: Drop upstreamed patches.
  * control: Bump build-dep on directx-headers-dev.
  * rules: Add a script to rewrite local rust subprojects to use the
    distro registry.
  * control, rules: Drop mesa-vdpau-drivers, VDPAU got removed upstream.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 21 Oct 2025 18:22:18 +0300
