=== debian/control ===
--- 
+++ 
@@ -1,33 +1,31 @@
 Source: mesa
 Section: graphics
 Priority: optional
-Maintainer: Ernst Sjöstrand <ernstp@gmail.com>
+Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
+Uploaders: Andreas Boll <aboll@debian.org>
 Standards-Version: 4.1.4
 Build-Depends:
  debhelper-compat (= 13),
- directx-headers-dev (>= 1.613.0) [linux-amd64 linux-arm64],
+ directx-headers-dev (>= 1.618.2) [linux-amd64 linux-arm64],
  flatbuffers-compiler [linux-arm64],
  glslang-tools [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
- meson (>= 1.4.0),
- quilt (>= 0.63-8.2~),
+ spirv-tools (>= 2024.4~rc1) [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
+ meson (>= 1.7.0),
  pkgconf,
- libdrm-dev (>= 2.4.121),
+ libdrm-dev (>= 2.4.125-1),
  libx11-dev,
  libxxf86vm-dev,
  libexpat1-dev,
  libflatbuffers-dev [linux-arm64],
  libsensors-dev [!hurd-any],
- libxfixes-dev,
  libxext-dev,
  libva-dev (>= 1.6.0) [linux-any] <!pkg.mesa.nolibva>,
- libvdpau-dev (>= 1.5) [linux-any],
  libvulkan-dev [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
  x11proto-dev,
  linux-libc-dev (>= 2.6.31) [linux-any],
  libx11-xcb-dev,
  libxcb-dri2-0-dev (>= 1.8),
  libxcb-glx0-dev (>= 1.8.1),
- libxcb-xfixes0-dev,
  libxcb-dri3-dev,
  libxcb-present-dev,
  libxcb-randr0-dev,
@@ -39,7 +37,6 @@
  libzstd-dev,
  python3,
  python3-mako,
- python3-ply,
  python3-yaml,
  python3-pycparser [arm64 armhf],
  python3-setuptools,
@@ -53,14 +50,19 @@
  libclang-cpp19-dev [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
  libclc-19-dev [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
  libclc-19 [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
- rustc (>= 1.78) [amd64],
- bindgen (>= 0.71.1) [amd64],
- cbindgen [amd64],
- wayland-protocols (>= 1.34),
+ wayland-protocols (>= 1.38),
  zlib1g-dev,
  libglvnd-core-dev (>= 1.3.2),
  valgrind [amd64 arm64 armhf i386 mips64el powerpc ppc64 ppc64el s390x],
+ rustc (>= 1.78) [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x x32],
+ rustfmt [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x x32],
+ bindgen (>= 0.71~) [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x x32],
+ cbindgen [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x x32],
+ llvm-spirv-19 [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x x32],
  libllvmspirvlib-19-dev [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
+ librust-rustc-hash-2-dev [amd64 arm64 armhf i386 ppc64 riscv64 x32],
+ librust-paste-dev [amd64 arm64 armhf i386 ppc64 riscv64 x32],
+ librust-syn-dev (>= 2.0.48) [amd64 arm64 armhf i386 ppc64 riscv64 x32],
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/xorg-team/lib/mesa.git
 Vcs-Browser: https://salsa.debian.org/xorg-team/lib/mesa
@@ -253,6 +255,7 @@
 Architecture: linux-any
 Build-Profiles: <!pkg.mesa.nolibva>
 Depends:
+ mesa-libgallium (= ${binary:Version}),
  ${shlibs:Depends},
  ${misc:Depends},
 Enhances:
@@ -270,33 +273,12 @@
  .
  This package enables support for VA-API for some gallium drivers.
 
-Package: mesa-vdpau-drivers
-Section: libs
-Architecture: linux-any
-Depends:
- libvdpau1,
- ${shlibs:Depends},
- ${misc:Depends},
-Enhances:
- libvdpau1,
-Provides:
- vdpau-driver,
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Description: Mesa VDPAU video acceleration drivers
- These libraries provide the Video Decode and Presentation API for Unix.
- They provide accelerated video playback (incl. H.264) and video
- post-processing for the supported graphics cards.
- .
- This package enables support for VDPAU for some gallium drivers.
-
 Package: mesa-vulkan-drivers
 Section: libs
 Architecture: amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32
 Pre-Depends: ${misc:Pre-Depends}
 Depends:
  libvulkan1,
- python3:any,
  ${shlibs:Depends},
  ${misc:Depends}
 Provides: vulkan-icd
@@ -307,7 +289,7 @@
 
 Package: mesa-opencl-icd
 Section: libs
-Architecture: amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32
+Architecture: amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x x32
 Pre-Depends: ${misc:Pre-Depends}
 Depends:
  libclc-19,
