=== debian/rules ===
--- 
+++ 
@@ -15,9 +15,6 @@
 # for finding the correct llvm-config when meson doesn't know about it yet
 LLVM_VERSION = 19
 export PATH:=/usr/lib/llvm-$(LLVM_VERSION)/bin/:$(PATH)
-
-RUST_VERSION = 1.86
-export RUSTC=rustc
 
 export DEB_BUILD_MAINT_OPTIONS=optimize=-lto
 
@@ -39,12 +36,6 @@
   # Workaround for https://gcc.gnu.org/bugzilla/show_bug.cgi?id=83143
   DEB_CFLAGS_MAINT_APPEND += -freorder-blocks-algorithm=simple
   DEB_CXXFLAGS_MAINT_APPEND += -freorder-blocks-algorithm=simple
-else ifneq (,$(filter $(DEB_HOST_ARCH), ppc64el))
-  # Workaround for https://bugs.debian.org/1092890
-  DEB_CFLAGS_MAINT_APPEND += -O1
-  DEB_CXXFLAGS_MAINT_APPEND += -O1
-  export CC := gcc-12
-  export CXX := g++-12
 endif
 buildflags = $(shell \
 	DEB_CFLAGS_MAINT_APPEND='$(DEB_CFLAGS_MAINT_APPEND)' \
@@ -56,12 +47,11 @@
 VULKAN_DRIVERS =
 VULKAN_LAYERS =
 
-confflags_SSE2 = -Dsse2=true
 confflags_TEFLON = -Dteflon=false
 
 LLVM_ARCHS     = amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32
-RUSTICL_ARCHS  = amd64
-NVK_ARCHS      = DISABLEEEE
+RUSTICL_ARCHS  = amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x x32
+NVK_ARCHS      = amd64 arm64 armhf i386 ppc64 riscv64 x32
 VALGRIND_ARCHS = amd64 arm64 armhf i386 mips64el powerpc ppc64 ppc64el s390x
 
 # hurd doesn't do direct rendering
@@ -78,7 +68,6 @@
   confflags_DIRECT_RENDERING = -Dglx-direct=true
   confflags_GBM = -Dgbm=enabled
   confflags_GALLIUM += -Dgallium-extra-hud=true
-  confflags_GALLIUM += -Dgallium-vdpau=enabled
   confflags_GALLIUM += -Dlmsensors=enabled
 
   # Freedreno requires arm in addition
@@ -98,8 +87,13 @@
 
   # Build intel drivers on archs where libdrm-intel is installed
   ifneq (,$(filter $(DEB_HOST_ARCH), amd64 i386 x32))
-	GALLIUM_DRIVERS += crocus i915 iris svga
-	VULKAN_DRIVERS += intel intel_hasvk
+	GALLIUM_DRIVERS += crocus i915 svga
+	VULKAN_DRIVERS += intel_hasvk
+  endif
+
+  ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 i386 loong64 x32 ppc64el riscv64))
+	GALLIUM_DRIVERS += iris
+	VULKAN_DRIVERS += intel
   endif
 
   ifneq (,$(filter $(DEB_HOST_ARCH), $(VALGRIND_ARCHS)))
@@ -107,9 +101,15 @@
   endif
 
   # WSL supports only amd64 and arm64
-  # ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64))
-  #	GALLIUM_DRIVERS += d3d12
-  # endif
+  ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64))
+	GALLIUM_DRIVERS += d3d12
+  endif
+
+  # asahi supports only arm64, amd64 and i386
+  ifneq (,$(filter $(DEB_HOST_ARCH), arm64 amd64 i386))
+	GALLIUM_DRIVERS += asahi
+	VULKAN_DRIVERS += asahi
+  endif
 
   # LLVM is required for building r300g, radeonsi and llvmpipe drivers.
   # It's also required for building OpenCL support.
@@ -135,6 +135,11 @@
 		export MESON_PACKAGE_CACHE_DIR=/usr/share/cargo/registry/
 		VULKAN_DRIVERS += nouveau
 	endif
+
+	# gfxstream only builds on 64bit
+	ifeq ($(DEB_HOST_ARCH_BITS),64)
+		VULKAN_DRIVERS += gfxstream
+	endif
   else
 	confflags_GALLIUM += -Dllvm=disabled
   endif
@@ -148,10 +153,6 @@
   ifneq (,$(filter $(DEB_HOST_ARCH), arm64))
 	confflags_TEFLON = -Dteflon=true
   endif
-endif
-
-ifeq ($(DEB_HOST_ARCH), i386)
-	confflags_SSE2 = -Dsse2=false
 endif
 
 empty:=
@@ -176,32 +177,21 @@
 	-Dvulkan-layers="[$(VULKAN_LAYERS_LIST)]" \
 	-Dglvnd=enabled \
 	-Db_ndebug=true \
-	-Dbuild-tests=false \
+	-Dbuild-tests=true \
 	-Dtools=drm-shim \
 	$(confflags_DIRECT_RENDERING) \
 	$(confflags_GBM) \
 	$(confflags_GALLIUM) \
 	$(confflags_GLES) \
-	$(confflags_SSE2) \
 	$(confflags_VALGRIND) \
 	$(confflags_TEFLON)
 
 
 rewrite_wrap_files:
-	cp -r subprojects subprojects-save
-	for crate in paste proc-macro2 quote unicode-ident rustc-hash; \
-	do \
-		export crate_namever=`basename $$MESON_PACKAGE_CACHE_DIR/$$crate-*`; \
-		sed -e"/source.*/d" -e"s,$${crate}-.*,$${crate_namever}," -i subprojects/$${crate}.wrap; \
-	done
-	export crate_namever=`basename $$MESON_PACKAGE_CACHE_DIR/syn-2.*`; \
-	sed -e"/source.*/d" -e"s,syn-.*,$${crate_namever}," -i subprojects/syn.wrap; \
-
-	touch subprojects/rewrite
+	debian/get-wraps-from-cargo-registry.py --cargo-registry /usr/share/cargo/registry
 
 override_dh_clean: regen_control
 	dpkg-parsechangelog | awk '/^Version:/ {print $$2}' | sed 's/-.*//;s/~/-/' > VERSION
-	rm -rf .pc
 	rm -rf build
 	rm -rf configure bin/config.guess bin/config.sub config.h.in
 	rm -rf $$(find -name Makefile.in)
@@ -224,6 +214,7 @@
 
 override_dh_auto_install:
 	dh_auto_install
+	debian/merge-vulkan-driver-manifests.sh debian/tmp
 	for file in debian/*.links.in; \
 	do \
 		sed -e"s,\$${DEB_HOST_MULTIARCH},$(DEB_HOST_MULTIARCH),g" \
@@ -241,3 +232,10 @@
 	dh_installchangelogs -a
 	dh_installchangelogs -pmesa-common-dev
 
+override_dh_install:
+	# purge .la files
+	find debian/tmp/ -name '*.la' -exec rm '{}' ';'
+
+	# Get rid of some files which aren't installed. Do not
+	# use -f to ensure we notice disappearing files:
+	rm debian/tmp/usr/lib/*/libEGL_mesa.so
