## mesa 25.3.0~rc2

=== debian/changelog ===
mesa (25.3.0~rc2-1) experimental; urgency=medium

  * New upstream release candidate.
  * rules: Add rocket gallium driver for arm. (Closes: #1118656)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 24 Oct 2025 21:38:08 +0300
